Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class Codification

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.Codification

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:49:32+01:00",
               comments="JAXB RI v2.2.11")
    public class Codification

extends Object
implements Serializable

.

Java class for CodificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CodificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="TypeCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AuthenticSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Description" type="{urn:be:fgov:ehealth:aa:complextype:v1}NameType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Codification()`

Method Summary
`String` | `getAuthenticSource()` Gets the value of the authenticSource property.
`String` | `getCode()` Gets the value of the code property.
`List<NameType>` | `getDescriptions()` Gets the value of the descriptions property.
`String` | `getTypeCode()` Gets the value of the typeCode property.
`void` | `setAuthenticSource(String value)` Sets the value of the authenticSource property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setTypeCode(String value)` Sets the value of the typeCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Codification

    public Codification()

Method Detail

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getTypeCode

    public String getTypeCode()

  Gets the value of the typeCode property.

  Returns:
    possible object is `String`

### setTypeCode

    public void setTypeCode(String value)

  Sets the value of the typeCode property.

  Parameters:
    `value` - allowed object is `String`

### getAuthenticSource

    public String getAuthenticSource()

  Gets the value of the authenticSource property.

  Returns:
    possible object is `String`

### setAuthenticSource

    public void setAuthenticSource(String value)

  Sets the value of the authenticSource property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptions

    public List<NameType> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.